Subject: [alpine-devel] [PATCH] main/perl-net-cidr-lite: new aport

From: Matt Smith <[email-masked]>
Date: Tue, 16 Nov 2010 04:30:30 -0600

---
 main/perl-net-cidr-lite/APKBUILD |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)
 create mode 100644 main/perl-net-cidr-lite/APKBUILD

diff --git a/main/perl-net-cidr-lite/APKBUILD b/main/perl-net-cidr-lite/APKBUILD
new file mode 100644
index 0000000..7efc618
--- /dev/null
+++ b/main/perl-net-cidr-lite/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Matt Smith <[email-masked]>
+# Maintainer:  Matt Smith <[email-masked]>
+pkgname=perl-net-cidr-lite
+_realname=Net-CIDR-Lite
+pkgver=0.21
+pkgrel=0
+pkgdesc="Perl extension for merging IPv4 or IPv6 CIDR addresses"
+url="http://search.cpan.org/~dougw/Net-CIDR-Lite-0.21/"
+license="Unknown"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DO/DOUGW/$_realname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$_realname-$pkgver"
+
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+	make DESTDIR="$pkgdir" install
+	# creates file collision among perl modules
+	find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="12280b3754886b876918f03f53aee4f5  Net-CIDR-Lite-0.21.tar.gz"
-- 
1.7.3.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Tue, 16 Nov 2010 14:19:37 +0100

>  create mode 100644 main/perl-net-cidr-lite/APKBUILD

we normally put new aports in testing.

> +	find "$pkgdir" -name perllocal.pod -delete

I like to split the 'make install' phase to separate package() function.
Its because 'make install' needs to run in fakeroot and fakeroot kills
paralell build performance.

Doesnt matter in this case.

Applied.

Thanks!

-nc

---